OGRE: Ogre::Property< T > Class Template Reference - OGRE Documentation

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes

# Ogre::Property< T > Class Template Reference
[Property]

Property instance with passthrough calls to a given object. More...

`#include <OgreProperty.h>`

Inheritance diagram for Ogre::Property< T >:
[legend]

List of all members.

## Public Types
typedef T | value_type
typedef boost::function< T(void) > | getter_func
typedef boost::function< void(T) > | setter_func
## Public Member Functions
| Property (PropertyDef *def, getter_func getter, setter_func setter)
| Construct a property which is able to directly call a given getter and setter on a specific object instance, via functors.
virtual void | set (T val)
| Set the property value.
virtual T | get () const
Ogre::Any | getValue () const
| Return the current value as an Any.
const String & | getName () const
| Get the name of the property.
const String & | getDescription () const
| Get the description of the property.
PropertyType | getType () const
| Get the type of the property.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Member Functions
| Property ()
| ~Property ()
## Protected Attributes
getter_func | mGetter
setter_func | mSetter
PropertyDef * | mDef

## Detailed Description

### template<typename T>
class Ogre::Property< T >

Property instance with passthrough calls to a given object.

Definition at line 221 of file OgreProperty.h.

## Member Typedef Documentation

template<typename T >

typedef boost::function< T (void) > Ogre::Property< T >::getter_func

Definition at line 225 of file OgreProperty.h.

template<typename T >

typedef boost::function< void (T) > Ogre::Property< T >::setter_func

Definition at line 226 of file OgreProperty.h.

template<typename T >

typedef T Ogre::Property< T >::value_type

Definition at line 224 of file OgreProperty.h.

## Constructor & Destructor Documentation

template<typename T >

Ogre::Property< T >::Property | ( | PropertyDef * | def,
|  | getter_func | getter,
|  | setter_func | setter |
| ) |  |  |

Construct a property which is able to directly call a given getter and setter on a specific object instance, via functors.

Definition at line 231 of file OgreProperty.h.

template<typename T >

Ogre::Property< T >::Property | ( |  | ) | `[protected]`

Definition at line 257 of file OgreProperty.h.

template<typename T >

Ogre::Property< T >::~Property | ( |  | ) | `[protected]`

Definition at line 258 of file OgreProperty.h.

## Member Function Documentation

template<typename T >

virtual T Ogre::Property< T >::get | ( | void |  | ) | const`[virtual]`

Definition at line 245 of file OgreProperty.h.

References Ogre::Property< T >::mGetter.

const String& Ogre::PropertyBase::getDescription | ( |  | ) | const`[inherited]`

Get the description of the property.

Definition at line 204 of file OgreProperty.h.

const String& Ogre::PropertyBase::getName | ( | void |  | ) | const`[inherited]`

Get the name of the property.

Definition at line 201 of file OgreProperty.h.

PropertyType Ogre::PropertyBase::getType | ( | void |  | ) | const`[inherited]`

Get the type of the property.

Definition at line 207 of file OgreProperty.h.

Referenced by Ogre::PropertySet::getPropertyImpl(), and Ogre::PropertySet::setPropertyImpl().

template<typename T >

Ogre::Any Ogre::Property< T >::getValue | ( |  | ) | const`[virtual]`

Return the current value as an Any.

Implements Ogre::PropertyBase.

Definition at line 250 of file OgreProperty.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<typename T >

virtual void Ogre::Property< T >::set | ( | T | val | ) | `[virtual]`

Set the property value.

Definition at line 240 of file OgreProperty.h.

References Ogre::Property< T >::mSetter.

## Member Data Documentation

PropertyDef* Ogre::PropertyBase::mDef`[protected, inherited]`

Definition at line 215 of file OgreProperty.h.

template<typename T >

getter_func Ogre::Property< T >::mGetter`[protected]`

Definition at line 260 of file OgreProperty.h.

Referenced by Ogre::Property< T >::get().

template<typename T >

setter_func Ogre::Property< T >::mSetter`[protected]`

Definition at line 261 of file OgreProperty.h.

Referenced by Ogre::Property< T >::set().

The documentation for this class was generated from the following file:

- OgreProperty.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04